Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class InstanceState

    java.lang.Object
      com.amazonaws.services.ec2.model.InstanceState

    public class InstanceState

extends Object

Represents the state of an Amazon EC2 instance.

Constructor Summary
`InstanceState()`

Method Summary
`Integer` | `getCode()` A 16-bit unsigned integer.
`String` | `getName()` The current state of the instance.
`void` | `setCode(Integer code)` A 16-bit unsigned integer.
`void` | `setName(String name)` The current state of the instance.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`InstanceState` | `withCode(Integer code)` A 16-bit unsigned integer.
`InstanceState` | `withName(String name)` The current state of the instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstanceState

    public InstanceState()

Method Detail

### getCode

    public Integer getCode()

  A 16-bit unsigned integer. The high byte is an opaque internal value and should be ignored. The low byte is set based on the state represented.

  Returns:
    A 16-bit unsigned integer. The high byte is an opaque internal value and should be ignored. The low byte is set based on the state represented.

### setCode

    public void setCode(Integer code)

  A 16-bit unsigned integer. The high byte is an opaque internal value and should be ignored. The low byte is set based on the state represented.

  Parameters:
    `code` - A 16-bit unsigned integer. The high byte is an opaque internal value and should be ignored. The low byte is set based on the state represented.

### withCode

    public InstanceState withCode(Integer code)

  A 16-bit unsigned integer. The high byte is an opaque internal value and should be ignored. The low byte is set based on the state represented.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `code` - A 16-bit unsigned integer. The high byte is an opaque internal value and should be ignored. The low byte is set based on the state represented.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getName

    public String getName()

  The current state of the instance.

  Constraints:
  Allowed Values: pending, running, shutting-down, terminated

  Returns:
    The current state of the instance.
  See Also:
    `InstanceStateName`

### setName

    public void setName(String name)

  The current state of the instance.

  Constraints:
  Allowed Values: pending, running, shutting-down, terminated

  Parameters:
    `name` - The current state of the instance.
  See Also:
    `InstanceStateName`

### withName

    public InstanceState withName(String name)

  The current state of the instance.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: pending, running, shutting-down, terminated

  Parameters:
    `name` - The current state of the instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `InstanceStateName`

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.